Information on source package swift

Available versions

ReleaseVersion
jessie2.2.0-1+deb8u1
stretch2.10.2-1~deb9u1
buster2.19.1-1
bullseye2.22.0-2
sid2.22.0-2

Resolved issues

BugDescription
CVE-2016-0738OpenStack Object Storage (Swift) before 2.3.1 (Kilo), 2.4.x, and 2.5.x ...
CVE-2016-0737OpenStack Object Storage (Swift) before 2.4.0 does not properly close ...
CVE-2015-5223OpenStack Object Storage (Swift) before 2.4.0 allows attackers to obta ...
CVE-2015-1856OpenStack Object Storage (Swift) before 2.3.0, when allow_version is c ...
CVE-2014-7960OpenStack Object Storage (Swift) before 2.2.0 allows remote authentica ...
CVE-2014-3497Cross-site scripting (XSS) vulnerability in OpenStack Swift 1.11.0 thr ...
CVE-2014-0006The TempURL middleware in OpenStack Object Storage (Swift) 1.4.6 throu ...
CVE-2013-4155OpenStack Swift before 1.9.1 in Folsom, Grizzly, and Havana allows aut ...
CVE-2013-2255Inconsistent and non-validating HTTPS client
CVE-2013-2161XML injection vulnerability in account/utils.py in OpenStack Swift Fol ...
CVE-2012-4406OpenStack Object Storage (swift) before 1.7.0 uses the loads function ...

Security announcements

DSA / DLADescription
DSA-2737-1swift - several

Search for package or bug name: Reporting problems